=== debian/changelog ===
cppad (2024.00.00.4-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:49:21 +0000

cppad (2024.00.00.4-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 01 Mar 2024 16:32:04 +0000

cppad (2024.00.00.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1061907

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 17:41:20 +0000
