=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake --without autoreconf
# adding --without autotools-dev breaks dh_auto_install (!)

override_dh_autotools-dev_updateconfig:
	@echo "using cmake so no need to fiddle with config.guess or config.sub"

override_dh_autotools-dev_restoreconfig:
	@echo "using cmake so no need to fiddle with config.guess or config.sub"

override_dh_auto_configure:
	dh_auto_configure --					\
		-D CMAKE_BUILD_TYPE=release

# Depending on how the package evolves, it might make sense at some
# point to make these package into build dependencies:
#
#	libadolc-dev
#	libcolpack-dev
#	coinor-libipopt-dev
#	libtrilinos-sacado-dev
#	libeigen3-dev
#
# and to enable them with something like this:
#
# override_dh_auto_configure:
#	dh_auto_configure --		\
#		-D adolc_prefix=/usr	\
#		-D colpack_prefix=/usr	\
#		-D ipopt_prefix=/usr	\
#		-D sacado_prefix=/usr	\
#		-D eigen_prefix=/usr
