=== debian/watch ===
# See uscan(1) for format
version=4

https://github.com/coin-or/CppAD/tags \
 .*/(\d\d\d\d)(\d\d)(\d\d)\.(\d+)@ARCHIVE_EXT@
