## cppad 2024.00.00.5

=== debian/changelog ===
cppad (2024.00.00.5-1) unstable; urgency=medium

  * New upstream release
  * Bump policy

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 03 Jun 2024 17:00:15 +0100
