## cppad 2024.00.00.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -16,7 +16,7 @@
 ENDIF( POLICY CMP0054 )
 #
 # cppad_version is used by version.sh to get the version number.
-SET(cppad_version "20240000.4")
+SET(cppad_version "20240000.7")
 SET(cppad_url          "https://coin-or.github.io/CppAD" )
 SET(cppad_description  "Differentiation of C++ Algorithms" )
 IF( NOT DEFINED CMAKE_BUILD_TYPE)
