=== debian/changelog ===
cppad (2024.00.00.7-1) unstable; urgency=medium

  * New upstream release

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 11 Sep 2024 17:08:22 +0100
